summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2017-12-06 05:10:55 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2017-12-06 06:11:05 -0500
commit4066a793795ebf9e10e69e67dd5767adc0681aba (patch)
tree0aebf550549abe9fb53dc58d0e914e0c300a325d
parent316f4e3309aaa955b0585c478b83bc2f6bdfe83f (diff)
[iceweasel]: add parabola banner to home page
-rw-r--r--libre/iceweasel/PKGBUILD14
-rw-r--r--libre/iceweasel/libre.patch85
-rw-r--r--libre/iceweasel/parabola-banner.pngbin0 -> 12739 bytes
3 files changed, 56 insertions, 43 deletions
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index cb1345261..8352fd94b 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -52,8 +52,9 @@ source=("https://ftp.mozilla.org/pub/$_oldname/releases/$pkgver/source/$_oldname
mozconfig
libre.patch
remove-default-and-shell-icons-in-packaging-manifest.patch
- gnu_headshadow.png
drm-free.png
+ gnu_headshadow.png
+ parabola-banner.png
$pkgname.desktop
$pkgname-install-dir.patch
vendor.js
@@ -68,10 +69,11 @@ sha256sums=('7db7829e0771acf1be253a8841b9dc96d2ad6490a8f1430fa074e5fd857181ba'
'e93f2363d7b414d207250eb1c63d955681f158c8d5678ef3d2e9232cdb0382c7'
'SKIP'
'71e20557568330c29553201a6009060feb65921b021fff8053ad9f7cb67670fa'
- 'a2178c90d9ebb990990226d9ffdb6f94e20c7d6f9e00925fb42cf0df5c634bd9'
+ '193625fc695fd3a401d732a40db97966ef3c2b35f7eddc67ed7dc2259606de2e'
'6e23fe534394bbab0041f5935cd23c2590285f7541b0a10f3042905676b1561e'
- '93e3001ce152e1d142619e215a9ef07dd429943b99d21726c25da9ceb31e31cd'
'56eba484179c7f498076f8dc603d8795e99dce8c6ea1da9736318c59d666bff6'
+ '93e3001ce152e1d142619e215a9ef07dd429943b99d21726c25da9ceb31e31cd'
+ '87f8be7f1f5f720de5cb22f7e4ed48a8bcebaac1646b57b2f479f685e42326a7'
'250f7aaa3c1362f9d2bb2211cd605eab93a5e806e8540f184979d41acf46142a'
'46e588300797bda599c8f5157437fd79f88b6e1179f2fde49e0405e435e03efa'
'085b968e613a5aadbc8cbec20f4db80d76c4fd7cfe75642babefa6385663cbb5'
@@ -104,8 +106,8 @@ prepare() {
quilt push -av
- # Put gnu_headshadow.png and drm-free.png in the source code
- install -m644 "$srcdir/"{gnu_headshadow,drm-free}.png \
+ # Put "Start Page" branding images in the source code
+ install -m644 "$srcdir/"{drm-free,gnu_headshadow,parabola-banner}.png \
browser/base/content/abouthome
# Useless since we are doing it ourselves
@@ -152,7 +154,7 @@ prepare() {
sed -i 's|[;]1|;0|' toolkit/components/telemetry/TelemetryStartup.manifest || die "failed break telemetry startup"
sed -i 's|[;]1|;0|' browser/experiments/Experiments.manifest || die "failed to break ExperimentsService"
sed -i '/pocket/d' browser/extensions/moz.build || die "failed to wipe pocket"
- sed -i '/activity-stream/d' browser/extensions/moz.build || die "failed to wipe pocket"
+ sed -i '/activity-stream/d' browser/extensions/moz.build || die "failed to wipe activity-stream"
# ARM-specific changes:
if [[ "$CARCH" == arm* ]]; then
diff --git a/libre/iceweasel/libre.patch b/libre/iceweasel/libre.patch
index 41f16dd08..fba866039 100644
--- a/libre/iceweasel/libre.patch
+++ b/libre/iceweasel/libre.patch
@@ -2,52 +2,56 @@ diff --git a/browser/base/content/abouthome/aboutHome.css b/browser/base/content
index c0b02e257..dc726d41a 100644
--- a/browser/base/content/abouthome/aboutHome.css
+++ b/browser/base/content/abouthome/aboutHome.css
-@@ -310,6 +310,48 @@ body[narrow] #restorePreviousSession::be
+@@ -310,6 +310,52 @@ body[narrow] #restorePreviousSession::before {
width: 32px;
}
-+#aboutGNU {
-+ display: block;
-+ -moz-box-ordinal-group: 0;
-+ opacity: .2;
++#topSection {
++ margin-top: 1em;
++}
++
++#aboutGNU , #aboutDRMfree , #brandLogo {
+ transition: opacity 150ms;
+}
+
-+#aboutGNU:hover {
-+ opacity: .6;
++#aboutGNU , #aboutDRMfree {
++ margin: 1em;
++ opacity: 0.2;
+}
+
-+#aboutGNU::before {
-+ content: url("chrome://browser/content/abouthome/gnu_headshadow.png");
-+ display: block;
-+ position: absolute;
-+ top: 12px;
-+ offset-inline-end: 12px;
-+ width: 200px;
-+ height: 110px;
++#brandLogo {
++ opacity: 0.8;
++}
++
++#aboutGNU:hover , #aboutDRMfree:hover , #brandLogo:hover {
++ opacity: 1.0;
++}
++
++#aboutGNU {
++ float: left;
+}
+
+#aboutDRMfree {
-+ display: block;
-+ -moz-box-ordinal-group: 0;
-+ opacity: .5;
-+ transition: opacity 150ms;
++ float: right;
+}
+
-+#aboutDRMfree:hover {
-+ opacity: 1;
++#aboutGNU::before {
++ content: url("chrome://browser/content/abouthome/gnu_headshadow.png");
+}
+
+#aboutDRMfree::before {
+ content: url("chrome://browser/content/abouthome/drm-free.png");
-+ display: block;
-+ position: absolute;
-+ top: 12px;
-+ left: 12px;
-+ width: 120px;
-+ height: 120px;
+}
+
++#brandLogo::before {
++ content: url("about-logo.png");
++}
++
++#brandLogo::after {
++ content: url("parabola-banner.png");
++}
++
++
/* [HiDPI]
* At resolutions above 1dppx, prefer downscaling the 2x Retina graphics
* rather than upscaling the original-size ones (bug 818940).
@@ -79,7 +83,21 @@ diff --git a/browser/base/content/abouthome/aboutHome.xhtml b/browser/base/conte
index c288e732e..6d14ee773 100644
--- a/browser/base/content/abouthome/aboutHome.xhtml
+++ b/browser/base/content/abouthome/aboutHome.xhtml
-@@ -49,10 +49,6 @@
+@@ -36,8 +36,12 @@
+
+ <body id="about-home" dir="&locale.dir;">
+ <div class="spacer"/>
++ <div id="home-header">
++ <a id="aboutGNU" href="https://www.gnu.org"></a>
++ <a id="aboutDRMfree" href="https://www.defectivebydesign.org/drm-free"></a>
++ </div>
+ <div id="topSection">
+- <div id="brandLogo"></div>
++ <a id="brandLogo" href="https://www.parabola.nu"><br/></a><br/><br/>
+
+ <div id="searchWrapper">
+ <div id="searchIcon"/>
+@@ -49,10 +53,6 @@
</div>
<div id="snippetContainer">
@@ -90,24 +108,17 @@ index c288e732e..6d14ee773 100644
<span id="rightsSnippet" hidden="true">&abouthome.rightsSnippet;</span>
<div id="snippets"/>
</div>
-@@ -73,5 +69,7 @@
- <div id="restorePreviousSessionSeparator"/>
- <button class="launchButton" id="restorePreviousSession">&historyRestoreLastSession.label;</button>
- </div>
-+ <a id="aboutGNU" href="https://www.gnu.org"></a>
-+ <a id="aboutDRMfree" href="https://www.defectivebydesign.org/drm-free"></a>
- </body>
- </html>
diff --git a/browser/base/jar.mn b/browser/base/jar.mn
index 4dcd47c95..219019b20 100644
--- a/browser/base/jar.mn
+++ b/browser/base/jar.mn
-@@ -27,6 +27,8 @@ browser.jar:
+@@ -27,6 +27,9 @@ browser.jar:
content/browser/abouthome/settings.png (content/abouthome/settings.png)
content/browser/abouthome/restore.png (content/abouthome/restore.png)
content/browser/abouthome/restore-large.png (content/abouthome/restore-large.png)
+ content/browser/abouthome/gnu_headshadow.png (content/abouthome/gnu_headshadow.png)
+ content/browser/abouthome/drm-free.png (content/abouthome/drm-free.png)
++ content/browser/abouthome/parabola-banner.png (content/abouthome/parabola-banner.png)
content/browser/abouthome/snippet1@2x.png (content/abouthome/snippet1@2x.png)
content/browser/abouthome/snippet2@2x.png (content/abouthome/snippet2@2x.png)
content/browser/abouthome/downloads@2x.png (content/abouthome/downloads@2x.png)
diff --git a/libre/iceweasel/parabola-banner.png b/libre/iceweasel/parabola-banner.png
new file mode 100644
index 000000000..7d8d50632
--- /dev/null
+++ b/libre/iceweasel/parabola-banner.png
Binary files differ